
Automated Build Generator - Bug #2715
Generation of invalid maven projects
02/27/2017 01:50 PM - M. Pohling

Status: Resolved Start date: 02/27/2017
Priority: Normal Due date:
Assignee: % Done: 100%
Category: Template Estimated time: 0.00 hour
Target version: 0.12
Description

VERSION=0.12.45-g29df3ee

The distribution is successfully generated but no maven project can be build.

Seems like the projects are deployed but never compiled before which causes in deploying not existing jars.

Jenkins job build error:

mvn -B deploy:deploy-file -Dmaven.repo.local=/homes/csracontrol/.m2/repo-toolkit-lsp-csra-rc
-Durl=file:///vol/csra//releases/trusty/lsp-csra-rc/share/repository -Dfile=.dependencies/*.jar -DgeneratePom=false
-DpomFile=.dependencies/*.pom -Dpackaging=jar
[INFO] Scanning for projects...
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building JPS 3.1.2
[INFO] ------------------------------------------------------------------------
[INFO] 
[INFO] --- maven-deploy-plugin:2.7:deploy-file (default-cli) @ jps ---
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 0.433s
[INFO] Finished at: Mon Feb 27 03:19:19 CET 2017
[INFO] Final Memory: 8M/150M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-deploy-plugin:2.7:deploy-file (default-cli) on project jps:
/media/local_data/jenkins/jobs/jps-latest-stable-toolkit-lsp-csra-rc/workspace/.dependencies/*.jar not found. -> [Help 1]

Jenkins generated job:
maven_install_with_pom () {
    jar=$1
    pom=$2
    skip=${3:-""}
    if echo "$skip" | grep -v i; then
        mvn -B install:install-file \
          -Dmaven.repo.local="${HOME}/.m2/repo-toolkit-lsp-csra-rc" \
          -Dfile="${jar}" \
          -DgeneratePom=false \
          -DpomFile="${pom}" \
          -Dpackaging=jar
    fi
    if echo "$skip" | grep -v d; then
        mvn -B deploy:deploy-file \
          -Dmaven.repo.local="${HOME}/.m2/repo-toolkit-lsp-csra-rc" \
          -Durl="file:///vol/csra//releases/trusty/lsp-csra-rc/share/repository" \
          -Dfile="${jar}" \
          -DgeneratePom=false \
          -DpomFile="${pom}" \
          -Dpackaging=jar
    fi
}
maven_install_flat_jar() {
    jar=$1
    mkdir -p "/vol/csra//releases/trusty/lsp-csra-rc/share/java" 
    cp "${jar}" "/vol/csra//releases/trusty/lsp-csra-rc/share/java" 
}
for pom in .dependencies/*.pom; do
    maven_install_with_pom "${pom%%.pom}.jar" "${pom}" "i" 
    maven_install_flat_jar "${pom%%.pom}.jar" 
done
for jar in $(find . -wholename '*/target/*.jar'); do
    maven_install_flat_jar "${jar}" 
done

Associated revisions
Revision 7b60a6f2 - 03/20/2017 02:12 PM - J. Moringen

Fixed default values for maven aspect in src/model/aspects/aspects.lisp

fixes #2715

In maven aspect, use nil as default value for settings-file and
global-settings-file parameters. Otherwise, there is no way to make a
construct like

"aspect.maven.global-settings-file": "${maven.global-settings-file:${mode}|${maven.global-settings-file|}}"

use the default when both variables are not defined.

    -  src/model/aspects/aspects.lisp (define-aspect maven): use nil as
  default value for settings-file and global-settings-file parameters

History
#1 - 03/20/2017 02:20 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7b60a6f2319baece48549ad34d6ef19cacb12376.
